#
# spec file for package geda-gaf
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           geda-gaf
Version:        1.8.2
Release:        lp151.3.3
%define libgeda_major 42
Summary:        Electronic Design Automation Toolsuite
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
Url:            http://geda-project.org/
Source0:        http://ftp.geda-project.org/geda-gaf/stable/v1.8/%{version}/%{name}-%{version}.tar.gz
Source1:        geda-gaf-rpmlintrc
# PATCH-FIX-OPENSUSE gschem-doc-path.patch -- set correct path to documentation
Patch0:         gschem-doc-path.patch
# PATCH-FIX-OPENSUSE grenum-no-build-time.patch -- fix "W: file-contains-date-and-time"
Patch1:         grenum-no-build-time.patch
# PATCH-FIX-UPSTREAM fix-gxyrs-utility.patch bnc#1078838 -- fix unittests on tumbleweed
Patch2:         fix-gxyrs-utility.patch

BuildRequires:  bison
BuildRequires:  cairo-devel
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  gettext-tools
BuildRequires:  groff
BuildRequires:  gtk2-devel
BuildRequires:  guile-devel
BuildRequires:  intltool
BuildRequires:  libstroke-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pkg-config
BuildRequires:  shared-mime-info
BuildRequires:  transfig
BuildRequires:  update-desktop-files

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Requires:       geda-gattrib = %{version}
Requires:       geda-gnetlist = %{version}
Requires:       geda-gschem = %{version}
Requires:       geda-gsymcheck = %{version}
Requires:       geda-symbols = %{version}
Requires:       geda-utils = %{version}
Requires:       geda-xgsch2pcb
Requires:       pcb
Recommends:     geda-doc
Recommends:     geda-examples

%description
This is a toolkit of Electronic Design Automation tools. They are
used for circuit design, schematic capture, simulation, prototyping,
and production.

%package     -n libgeda%{libgeda_major}
Summary:        Basic Library that is used by several gEDA programs
License:        GPL-2.0-or-later
Group:          System/Libraries
Requires:       libgeda%{libgeda_major}-data

%description -n libgeda%{libgeda_major}
This package provides the basic library for several gEDA programs
related to electronic design automation.

%package     -n libgeda%{libgeda_major}-data
Summary:        Data for basic Library that is used by several gEDA programs
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
Requires(post):   shared-mime-info
Requires(postun): shared-mime-info
BuildArch:      noarch

%description -n libgeda%{libgeda_major}-data
This package provides data files for libgeda.

%package     -n libgeda-devel
Summary:        Development files for gEDA
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
Requires:       glib2-devel
Requires:       gtk2-devel
Requires:       guile-devel
Requires:       libgeda%{libgeda_major} = %{version}
Requires:       libjpeg-devel
Requires:       libpng-devel

%description -n libgeda-devel
This package provides headers for libgeda.

%package     -n geda-base
Summary:        Common code for gEDA applications
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
Requires:       libgeda%{libgeda_major} = %{version}

%description -n geda-base
This package provides code common to all gEDA applications.

%package     -n geda-doc
Summary:        Documentation Files for the gEDA Suite
License:        GFDL-1.2-only
Group:          Documentation/Other
BuildArch:      noarch

%description -n geda-doc
This package contains the documentation of the gEDA suite.
The documentation is a snapshot of the gEDA wiki located at
http://wiki.geda-project.org/.

%package     -n geda-examples
Summary:        Some Example Files for the gEDA suite
License:        GPL-2.0-or-later
Group:          Documentation/Other
Requires:       geda-symbols = %{version}
BuildArch:      noarch

%description -n geda-examples
Package with four example projects realized with gEDA.

%package     -n geda-gattrib
Summary:        Symbol and Schematic Attribute Editor of the gEDA Suite
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
Requires:       geda-base = %{version}
Requires:       geda-symbols = %{version}
Requires:       libgeda%{libgeda_major} = %{version}

%description -n geda-gattrib
With gattrib, attributes of schematic or symbol files can be edited. It has
a spreadsheet-like GUI. gattrib is part of the gEDA suite.

%package     -n geda-gnetlist
Summary:        Schematic Netlist Generator Program of the gEDA Suite
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
Requires:       geda-base = %{version}
Requires:       geda-symbols = %{version}
Requires:       libgeda%{libgeda_major} = %{version}

%description -n geda-gnetlist
gnetlist is the netlist generator program of the gEDA suite. It reads
schematic files and converts them into different connecitity netlists.
gnetlist has several backends to generate netlists for PCB, Spice,
VHDL, Verilog and many other programs.

%package     -n geda-gschem
Summary:        Schematic Capture Program of the gEDA Suite
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
Requires:       geda-base = %{version}
Requires:       geda-symbols = %{version}
Requires:       libgeda%{libgeda_major} = %{version}
Recommends:     geda-doc

%description -n geda-gschem
gschem is the schematic capture program of the gEDA suite.
Schematics for simulation, PCB production or documentation can be drawn.
Hierarchical schematics are supported.

%package     -n geda-gsymcheck
Summary:        Schematic Symbol Checker Program of the gEDA Suite
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
Requires:       geda-base = %{version}
Requires:       geda-symbols = %{version}
Requires:       libgeda%{libgeda_major} = %{version}

%description -n geda-gsymcheck
gsymcheck is a symbol checker of the gEDA suite. It checks symbols for
missing or duplicate pins, missing attributes and definitions.

%package     -n geda-symbols
Summary:        Schematic Symbols for the gEDA Suite
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
BuildArch:      noarch

%description -n geda-symbols
Package with schematic symbols for the gEDA suite.

%package     -n geda-utils
Summary:        Various Utilities and Scripts for the gEDA Suite
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Electronics
Requires:       geda-base = %{version}
Requires:       geda-symbols = %{version}
Requires:       libgeda%{libgeda_major} = %{version}

%description -n geda-utils
This utility package contains several helper utilities for the gEDA
suite, containing an advanced PCB netlister gsch2pcb, symbol converters and
creators, refdes renumbering tools and many others.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# export LDFLAGS="-lm $LDFLAGS"
%configure  \
            --docdir=%{_docdir}/%{name} \
            --disable-static \
            --disable-rpath \
            --disable-update-xdg-database
make %{?_smp_mflags}

%install
%make_install

find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%suse_update_desktop_file -r geda-gschem Education Engineering
%suse_update_desktop_file -r geda-gattrib Education Engineering

%fdupes -s %{buildroot}%{_docdir}/geda-gaf/examples
%fdupes -s %{buildroot}%{_docdir}/geda-gaf/wiki

%find_lang geda-gattrib
%find_lang geda-gschem
%find_lang libgeda%{libgeda_major}

install -Dm 644 {AUTHORS,ChangeLog,COPYING,README,NEWS} %{buildroot}%{_docdir}/%{name}/

%check
make check

%post -n libgeda%{libgeda_major} -p /sbin/ldconfig

%postun -n libgeda%{libgeda_major} -p /sbin/ldconfig

%post -n libgeda%{libgeda_major}-data
%install_info --info-dir=%{_infodir} %{_infodir}/geda-scheme.info.gz
/usr/bin/update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :

%postun -n libgeda%{libgeda_major}-data
%install_info_delete --info-dir=%{_infodir} %{_infodir}/geda-scheme.info.gz
/usr/bin/update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/NEWS

%files -n libgeda%{libgeda_major}
%defattr(-,root,root)
%{_libdir}/libgeda.so.%{libgeda_major}*

%files -n libgeda%{libgeda_major}-data -f libgeda%{libgeda_major}.lang
%defattr(-,root,root)
%dir %{_datadir}/gEDA
%dir %{_datadir}/gEDA/scheme
%{_datadir}/gEDA/gafrc.d
%{_datadir}/gEDA/system-gafrc
%{_datadir}/gEDA/prolog.ps
%{_datadir}/gEDA/print-colormap-lightbg
%{_datadir}/gEDA/print-colormap-darkbg
%{_datadir}/gEDA/scheme/geda.scm
%{_datadir}/gEDA/scheme/color-map.scm
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/mime/packages/libgeda.xml
%{_infodir}/geda-scheme.info.gz

%files -n libgeda-devel
%defattr(-,root,root)
%{_includedir}/libgeda/
%{_libdir}/libgeda.so
%{_libdir}/pkgconfig/libgeda.pc

%files -n geda-doc
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/gedadocs.html
%doc %{_docdir}/%{name}/nc.pdf
%doc %{_docdir}/%{name}/man/
%doc %{_docdir}/%{name}/readmes/
%doc %{_docdir}/%{name}/wiki/

%files -n geda-examples
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/examples/

%files -n geda-gattrib -f geda-gattrib.lang
%defattr(-,root,root)
%{_bindir}/gattrib
%{_datadir}/gEDA/system-gattribrc
%{_datadir}/gEDA/gattrib-menus.xml
%{_datadir}/icons/hicolor/*/apps/geda-gattrib.*
%{_datadir}/applications/geda-gattrib.desktop
%{_mandir}/man1/gattrib.1.gz

%files -n geda-gnetlist
%defattr(-,root,root)
%{_bindir}/gnetlist
%{_datadir}/gEDA/scheme/gnetlist
%{_datadir}/gEDA/system-gnetlistrc
%{_datadir}/gEDA/scheme/gnet-*.scm
%{_datadir}/gEDA/scheme/gnetlist-post.scm
%{_datadir}/gEDA/scheme/gnetlist.scm
%{_datadir}/gEDA/scheme/partslist-common.scm
%{_mandir}/man1/gnetlist.1.gz

%files -n geda-gschem -f geda-gschem.lang
%defattr(-,root,root)
%dir %{_datadir}/gEDA/scheme/gschem
%dir %{_datadir}/gEDA/scheme/gschem/core
%{_bindir}/gschem
%{_datadir}/gEDA/system-gschemrc
%{_datadir}/gEDA/gschem-gtkrc
%{_datadir}/gEDA/gschem-colormap-darkbg
%{_datadir}/gEDA/gschem-colormap-lightbg
%{_datadir}/gEDA/gschem-colormap-bw
%{_datadir}/gEDA/scheme/pcb.scm
%{_datadir}/gEDA/scheme/auto-uref.scm
%{_datadir}/gEDA/scheme/gschem.scm
%{_datadir}/gEDA/scheme/auto-place-attribs.scm
%{_datadir}/gEDA/scheme/print.scm
%{_datadir}/gEDA/scheme/default-attrib-positions.scm
%{_datadir}/gEDA/scheme/generate_netlist.scm
%{_datadir}/gEDA/scheme/image.scm
%{_datadir}/gEDA/scheme/list-keys.scm
%{_datadir}/gEDA/scheme/print-NB-attribs.scm
%{_datadir}/gEDA/scheme/gschem/attrib.scm
%{_datadir}/gEDA/scheme/gschem/core/gettext.scm
%{_datadir}/gEDA/scheme/gschem/deprecated.scm
%{_datadir}/gEDA/scheme/gschem/gschemdoc.scm
%{_datadir}/gEDA/scheme/gschem/hook.scm
%{_datadir}/gEDA/scheme/gschem/keymap.scm
%{_datadir}/gEDA/scheme/gschem/selection.scm
%{_datadir}/gEDA/scheme/gschem/util.scm
%{_datadir}/gEDA/scheme/gschem/window.scm
%{_datadir}/gEDA/bitmap
%{_datadir}/icons/hicolor/*/apps/geda-gschem.*
%{_datadir}/applications/geda-gschem.desktop
%{_mandir}/man1/gschem.1.gz

%files -n geda-base
%dir %{_datadir}/gEDA/scheme/geda
%dir %{_datadir}/gEDA/scheme/geda/core
%{_datadir}/gEDA/scheme/geda/attrib.scm
%{_datadir}/gEDA/scheme/geda/deprecated.scm
%{_datadir}/gEDA/scheme/geda/object.scm
%{_datadir}/gEDA/scheme/geda/os.scm
%{_datadir}/gEDA/scheme/geda/page.scm
%{_datadir}/gEDA/scheme/geda/core/gettext.scm

%files -n geda-gsymcheck
%defattr(-,root,root)
%{_bindir}/gsymcheck
%{_datadir}/gEDA/system-gsymcheckrc
%{_mandir}/man1/gsymcheck.1.gz

%files -n geda-symbols
%defattr(-,root,root)
%{_datadir}/gEDA/sym

%files -n geda-utils
%defattr(-,root,root)
%{_bindir}/convert_sym
%{_bindir}/garchive
%{_bindir}/gmk_sym
%{_bindir}/grenum
%{_bindir}/gsch2pcb
%{_bindir}/gschlas
%{_bindir}/gsymfix
%{_bindir}/gxyrs
%{_bindir}/olib
%{_bindir}/pads_backannotate
%{_bindir}/pcb_backannotate
%{_bindir}/refdes_renum
%{_bindir}/sarlacc_schem
%{_bindir}/sarlacc_sym
%{_bindir}/schdiff
%{_bindir}/smash_megafile
%{_bindir}/sw2asc
%{_bindir}/tragesym
%{_mandir}/man1/convert_sym.1.gz
%{_mandir}/man1/garchive.1.gz
%{_mandir}/man1/gmk_sym.1.gz
%{_mandir}/man1/grenum.1.gz
%{_mandir}/man1/gsch2pcb.1.gz
%{_mandir}/man1/gschlas.1.gz
%{_mandir}/man1/gsymfix.1.gz
%{_mandir}/man1/gxyrs.1.gz
%{_mandir}/man1/olib.1.gz
%{_mandir}/man1/pads_backannotate.1.gz
%{_mandir}/man1/pcb_backannotate.1.gz
%{_mandir}/man1/refdes_renum.1.gz
%{_mandir}/man1/sarlacc_schem.1.gz
%{_mandir}/man1/sarlacc_sym.1.gz
%{_mandir}/man1/schdiff.1.gz
%{_mandir}/man1/smash_megafile.1.gz
%{_mandir}/man1/sw2asc.1.gz
%{_mandir}/man1/tragesym.1.gz
%{_datadir}/gEDA/perl/
%{_datadir}/gEDA/system-gschlasrc

%changelog
* Sun May  6 2018 stefan.bruens@rwth-aachen.de
- Move scheme code common to gattrib, gnetlist, gschem and utils
  from gschem subpackage to new geda-base subpackage.
- Remove conditionals for deprecated distributions
* Sat Feb 10 2018 jengelh@inai.de
- Limit descriptions to the package, fix some typos here and there.
- Remove redundant %%clean section.
* Sat Feb  3 2018 bugs@vdm-design.de
- Add patch fix-gxyrs-utility.patch to fix the failed unittest
  when building for factory
* Tue Mar  3 2015 dmitry_r@opensuse.org
- Fix desktop menu categories
* Wed Nov 12 2014 dmitry_r@opensuse.org
- Add geda-gaf-rpmlintrc to source list
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashisms in post/postun scripts
* Wed Oct  2 2013 dmitry_r@opensuse.org
- Update to version 1.8.2
  * Fixed a libgeda crash bug involving nets inside symbols.
  * Fixed a gnetlist data corruption bug when using refdes
    containing the string "POWER".
  * Updates to build system to allow compilation from git on systems
    with Automake >= 1.13.0.
* Mon Jul 29 2013 dmitry_r@opensuse.org
- Fix build for Factory
* Fri Jan  4 2013 dmitry_r@opensuse.org
- Change documentation license to GFDL-1.2
- Add geda-gaf package for consolidation of installation
* Thu Dec 27 2012 dmitry_r@opensuse.org
- Delete "guile" from requires
- Delete compitation time from binary
  * grenum-no-build-time.patch
- Enable post build tests
- Split libgeda data to separate package
* Mon Dec 24 2012 dmitry_r@opensuse.org
- Update to version 1.8.1
  * 'gschem' and 'gnetlist' have updated and rewritten user guides.
  * All tools now give more informative error messages if they are
    unable to load schematic or symbol files due to syntax errors.
  * All tools now correctly handle schematic and symbol files with
    '\r',  '\n', or '\r\n' line endings, or a mixture.
  * Unconnected pin ends and net ends are now all drawn with the
    same box marker in `gschem' and printed output.
  * Net segments with at least two connections (including indirect
    connections via `netname=' attributes) are now drawn with
    arrowheads rather than box markers on dangling ends in 'gschem'
    and printed output.
- Set correct path to documentation
  * gschem-doc-path.patch
* Fri Aug 31 2012 scorot@free.fr
- fix build for 12.2 with patch0
* Tue Dec 27 2011 werner.ho@gmx.de
- updated to unstable version 1.7.1
- fixes BUG #738587
* Sun Nov 20 2011 werner.ho@gmx.de
- linker flag fix (-lm) for openSuSE 12.1
* Sun Jan 16 2011 werner.ho@gmx.de
- new version 1.6.2
* Fri Feb 26 2010 werner.ho@gmx.de
- new version 1.6.1
* Sat Oct 10 2009 werner.ho@gmx.de
- first build of unified geda-gaf package version 1.6.0
